Index: XIOS/trunk/src/interface/c_attr/icaxis_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icaxis_attr.cpp	(revision 501)
+++ XIOS/trunk/src/interface/c_attr/icaxis_attr.cpp	(revision 509)
@@ -23,5 +23,4 @@
      CTimer::get("XIOS").resume();
     axis_hdl->long_name.setValue(long_name_str);
-    axis_hdl->sendAttributToServer(axis_hdl->long_name);
      CTimer::get("XIOS").suspend();
   }
@@ -50,5 +49,4 @@
      CTimer::get("XIOS").resume();
     axis_hdl->name.setValue(name_str);
-    axis_hdl->sendAttributToServer(axis_hdl->name);
      CTimer::get("XIOS").suspend();
   }
@@ -77,5 +75,4 @@
      CTimer::get("XIOS").resume();
     axis_hdl->positive.fromString(positive_str);
-    axis_hdl->sendAttributToServer(axis_hdl->positive);
      CTimer::get("XIOS").suspend();
   }
@@ -102,5 +99,4 @@
      CTimer::get("XIOS").resume();
     axis_hdl->size.setValue(size);
-    axis_hdl->sendAttributToServer(axis_hdl->size);
      CTimer::get("XIOS").suspend();
   }
@@ -126,5 +122,4 @@
      CTimer::get("XIOS").resume();
     axis_hdl->standard_name.setValue(standard_name_str);
-    axis_hdl->sendAttributToServer(axis_hdl->standard_name);
      CTimer::get("XIOS").suspend();
   }
@@ -153,5 +148,4 @@
      CTimer::get("XIOS").resume();
     axis_hdl->unit.setValue(unit_str);
-    axis_hdl->sendAttributToServer(axis_hdl->unit);
      CTimer::get("XIOS").suspend();
   }
@@ -179,5 +173,4 @@
     CArray<double,1> tmp(value,shape(extent1),neverDeleteData) ;
     axis_hdl->value.reference(tmp.copy());
-    axis_hdl->sendAttributToServer(axis_hdl->value);
      CTimer::get("XIOS").suspend();
   }
@@ -204,5 +197,4 @@
      CTimer::get("XIOS").resume();
     axis_hdl->zoom_begin.setValue(zoom_begin);
-    axis_hdl->sendAttributToServer(axis_hdl->zoom_begin);
      CTimer::get("XIOS").suspend();
   }
@@ -226,5 +218,4 @@
      CTimer::get("XIOS").resume();
     axis_hdl->zoom_end.setValue(zoom_end);
-    axis_hdl->sendAttributToServer(axis_hdl->zoom_end);
      CTimer::get("XIOS").suspend();
   }
@@ -248,5 +239,4 @@
      CTimer::get("XIOS").resume();
     axis_hdl->zoom_size.setValue(zoom_size);
-    axis_hdl->sendAttributToServer(axis_hdl->zoom_size);
      CTimer::get("XIOS").suspend();
   }
Index: XIOS/trunk/src/interface/c_attr/icaxisgroup_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icaxisgroup_attr.cpp	(revision 501)
+++ XIOS/trunk/src/interface/c_attr/icaxisgroup_attr.cpp	(revision 509)
@@ -23,5 +23,4 @@
      CTimer::get("XIOS").resume();
     axisgroup_hdl->group_ref.setValue(group_ref_str);
-    axisgroup_hdl->sendAttributToServer(axisgroup_hdl->group_ref);
      CTimer::get("XIOS").suspend();
   }
@@ -50,5 +49,4 @@
      CTimer::get("XIOS").resume();
     axisgroup_hdl->long_name.setValue(long_name_str);
-    axisgroup_hdl->sendAttributToServer(axisgroup_hdl->long_name);
      CTimer::get("XIOS").suspend();
   }
@@ -77,5 +75,4 @@
      CTimer::get("XIOS").resume();
     axisgroup_hdl->name.setValue(name_str);
-    axisgroup_hdl->sendAttributToServer(axisgroup_hdl->name);
      CTimer::get("XIOS").suspend();
   }
@@ -104,5 +101,4 @@
      CTimer::get("XIOS").resume();
     axisgroup_hdl->positive.fromString(positive_str);
-    axisgroup_hdl->sendAttributToServer(axisgroup_hdl->positive);
      CTimer::get("XIOS").suspend();
   }
@@ -129,5 +125,4 @@
      CTimer::get("XIOS").resume();
     axisgroup_hdl->size.setValue(size);
-    axisgroup_hdl->sendAttributToServer(axisgroup_hdl->size);
      CTimer::get("XIOS").suspend();
   }
@@ -153,5 +148,4 @@
      CTimer::get("XIOS").resume();
     axisgroup_hdl->standard_name.setValue(standard_name_str);
-    axisgroup_hdl->sendAttributToServer(axisgroup_hdl->standard_name);
      CTimer::get("XIOS").suspend();
   }
@@ -180,5 +174,4 @@
      CTimer::get("XIOS").resume();
     axisgroup_hdl->unit.setValue(unit_str);
-    axisgroup_hdl->sendAttributToServer(axisgroup_hdl->unit);
      CTimer::get("XIOS").suspend();
   }
@@ -206,5 +199,4 @@
     CArray<double,1> tmp(value,shape(extent1),neverDeleteData) ;
     axisgroup_hdl->value.reference(tmp.copy());
-    axisgroup_hdl->sendAttributToServer(axisgroup_hdl->value);
      CTimer::get("XIOS").suspend();
   }
@@ -231,5 +223,4 @@
      CTimer::get("XIOS").resume();
     axisgroup_hdl->zoom_begin.setValue(zoom_begin);
-    axisgroup_hdl->sendAttributToServer(axisgroup_hdl->zoom_begin);
      CTimer::get("XIOS").suspend();
   }
@@ -253,5 +244,4 @@
      CTimer::get("XIOS").resume();
     axisgroup_hdl->zoom_end.setValue(zoom_end);
-    axisgroup_hdl->sendAttributToServer(axisgroup_hdl->zoom_end);
      CTimer::get("XIOS").suspend();
   }
@@ -275,5 +265,4 @@
      CTimer::get("XIOS").resume();
     axisgroup_hdl->zoom_size.setValue(zoom_size);
-    axisgroup_hdl->sendAttributToServer(axisgroup_hdl->zoom_size);
      CTimer::get("XIOS").suspend();
   }
Index: XIOS/trunk/src/interface/c_attr/iccontext_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/iccontext_attr.cpp	(revision 501)
+++ XIOS/trunk/src/interface/c_attr/iccontext_attr.cpp	(revision 509)
@@ -23,5 +23,4 @@
      CTimer::get("XIOS").resume();
     context_hdl->calendar_type.setValue(calendar_type_str);
-    context_hdl->sendAttributToServer(context_hdl->calendar_type);
      CTimer::get("XIOS").suspend();
   }
@@ -50,5 +49,4 @@
      CTimer::get("XIOS").resume();
     context_hdl->output_dir.setValue(output_dir_str);
-    context_hdl->sendAttributToServer(context_hdl->output_dir);
      CTimer::get("XIOS").suspend();
   }
@@ -77,5 +75,4 @@
      CTimer::get("XIOS").resume();
     context_hdl->start_date.setValue(start_date_str);
-    context_hdl->sendAttributToServer(context_hdl->start_date);
      CTimer::get("XIOS").suspend();
   }
@@ -104,5 +101,4 @@
      CTimer::get("XIOS").resume();
     context_hdl->time_origin.setValue(time_origin_str);
-    context_hdl->sendAttributToServer(context_hdl->time_origin);
      CTimer::get("XIOS").suspend();
   }
@@ -131,5 +127,4 @@
      CTimer::get("XIOS").resume();
     context_hdl->timestep.setValue(timestep_str);
-    context_hdl->sendAttributToServer(context_hdl->timestep);
      CTimer::get("XIOS").suspend();
   }
Index: XIOS/trunk/src/interface/c_attr/icdomain_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icdomain_attr.cpp	(revision 501)
+++ XIOS/trunk/src/interface/c_attr/icdomain_attr.cpp	(revision 509)
@@ -22,5 +22,4 @@
     CArray<double,2> tmp(bounds_lat,shape(extent1,extent2),neverDeleteData) ;
     domain_hdl->bounds_lat.reference(tmp.copy());
-    domain_hdl->sendAttributToServer(domain_hdl->bounds_lat);
      CTimer::get("XIOS").suspend();
   }
@@ -48,5 +47,4 @@
     CArray<double,2> tmp(bounds_lon,shape(extent1,extent2),neverDeleteData) ;
     domain_hdl->bounds_lon.reference(tmp.copy());
-    domain_hdl->sendAttributToServer(domain_hdl->bounds_lon);
      CTimer::get("XIOS").suspend();
   }
@@ -73,5 +71,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->data_dim.setValue(data_dim);
-    domain_hdl->sendAttributToServer(domain_hdl->data_dim);
      CTimer::get("XIOS").suspend();
   }
@@ -96,5 +93,4 @@
     CArray<int,1> tmp(data_i_index,shape(extent1),neverDeleteData) ;
     domain_hdl->data_i_index.reference(tmp.copy());
-    domain_hdl->sendAttributToServer(domain_hdl->data_i_index);
      CTimer::get("XIOS").suspend();
   }
@@ -121,5 +117,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->data_ibegin.setValue(data_ibegin);
-    domain_hdl->sendAttributToServer(domain_hdl->data_ibegin);
      CTimer::get("XIOS").suspend();
   }
@@ -144,5 +139,4 @@
     CArray<int,1> tmp(data_j_index,shape(extent1),neverDeleteData) ;
     domain_hdl->data_j_index.reference(tmp.copy());
-    domain_hdl->sendAttributToServer(domain_hdl->data_j_index);
      CTimer::get("XIOS").suspend();
   }
@@ -169,5 +163,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->data_jbegin.setValue(data_jbegin);
-    domain_hdl->sendAttributToServer(domain_hdl->data_jbegin);
      CTimer::get("XIOS").suspend();
   }
@@ -191,5 +184,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->data_n_index.setValue(data_n_index);
-    domain_hdl->sendAttributToServer(domain_hdl->data_n_index);
      CTimer::get("XIOS").suspend();
   }
@@ -213,5 +205,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->data_ni.setValue(data_ni);
-    domain_hdl->sendAttributToServer(domain_hdl->data_ni);
      CTimer::get("XIOS").suspend();
   }
@@ -235,5 +226,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->data_nj.setValue(data_nj);
-    domain_hdl->sendAttributToServer(domain_hdl->data_nj);
      CTimer::get("XIOS").suspend();
   }
@@ -259,5 +249,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->domain_group_ref.setValue(domain_group_ref_str);
-    domain_hdl->sendAttributToServer(domain_hdl->domain_group_ref);
      CTimer::get("XIOS").suspend();
   }
@@ -285,5 +274,4 @@
     CArray<int,2> tmp(i_index,shape(extent1,extent2),neverDeleteData) ;
     domain_hdl->i_index.reference(tmp.copy());
-    domain_hdl->sendAttributToServer(domain_hdl->i_index);
      CTimer::get("XIOS").suspend();
   }
@@ -310,5 +298,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->ibegin.setValue(ibegin);
-    domain_hdl->sendAttributToServer(domain_hdl->ibegin);
      CTimer::get("XIOS").suspend();
   }
@@ -332,5 +319,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->iend.setValue(iend);
-    domain_hdl->sendAttributToServer(domain_hdl->iend);
      CTimer::get("XIOS").suspend();
   }
@@ -355,5 +341,4 @@
     CArray<int,2> tmp(j_index,shape(extent1,extent2),neverDeleteData) ;
     domain_hdl->j_index.reference(tmp.copy());
-    domain_hdl->sendAttributToServer(domain_hdl->j_index);
      CTimer::get("XIOS").suspend();
   }
@@ -380,5 +365,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->jbegin.setValue(jbegin);
-    domain_hdl->sendAttributToServer(domain_hdl->jbegin);
      CTimer::get("XIOS").suspend();
   }
@@ -402,5 +386,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->jend.setValue(jend);
-    domain_hdl->sendAttributToServer(domain_hdl->jend);
      CTimer::get("XIOS").suspend();
   }
@@ -425,5 +408,4 @@
     CArray<double,1> tmp(latvalue,shape(extent1),neverDeleteData) ;
     domain_hdl->latvalue.reference(tmp.copy());
-    domain_hdl->sendAttributToServer(domain_hdl->latvalue);
      CTimer::get("XIOS").suspend();
   }
@@ -452,5 +434,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->long_name.setValue(long_name_str);
-    domain_hdl->sendAttributToServer(domain_hdl->long_name);
      CTimer::get("XIOS").suspend();
   }
@@ -478,5 +459,4 @@
     CArray<double,1> tmp(lonvalue,shape(extent1),neverDeleteData) ;
     domain_hdl->lonvalue.reference(tmp.copy());
-    domain_hdl->sendAttributToServer(domain_hdl->lonvalue);
      CTimer::get("XIOS").suspend();
   }
@@ -504,5 +484,4 @@
     CArray<bool,2> tmp(mask,shape(extent1,extent2),neverDeleteData) ;
     domain_hdl->mask.reference(tmp.copy());
-    domain_hdl->sendAttributToServer(domain_hdl->mask);
      CTimer::get("XIOS").suspend();
   }
@@ -531,5 +510,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->name.setValue(name_str);
-    domain_hdl->sendAttributToServer(domain_hdl->name);
      CTimer::get("XIOS").suspend();
   }
@@ -556,5 +534,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->ni.setValue(ni);
-    domain_hdl->sendAttributToServer(domain_hdl->ni);
      CTimer::get("XIOS").suspend();
   }
@@ -578,5 +555,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->ni_glo.setValue(ni_glo);
-    domain_hdl->sendAttributToServer(domain_hdl->ni_glo);
      CTimer::get("XIOS").suspend();
   }
@@ -600,5 +576,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->nj.setValue(nj);
-    domain_hdl->sendAttributToServer(domain_hdl->nj);
      CTimer::get("XIOS").suspend();
   }
@@ -622,5 +597,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->nj_glo.setValue(nj_glo);
-    domain_hdl->sendAttributToServer(domain_hdl->nj_glo);
      CTimer::get("XIOS").suspend();
   }
@@ -644,5 +618,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->nvertex.setValue(nvertex);
-    domain_hdl->sendAttributToServer(domain_hdl->nvertex);
      CTimer::get("XIOS").suspend();
   }
@@ -668,5 +641,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->standard_name.setValue(standard_name_str);
-    domain_hdl->sendAttributToServer(domain_hdl->standard_name);
      CTimer::get("XIOS").suspend();
   }
@@ -695,5 +667,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->type.fromString(type_str);
-    domain_hdl->sendAttributToServer(domain_hdl->type);
      CTimer::get("XIOS").suspend();
   }
@@ -720,5 +691,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->zoom_ibegin.setValue(zoom_ibegin);
-    domain_hdl->sendAttributToServer(domain_hdl->zoom_ibegin);
      CTimer::get("XIOS").suspend();
   }
@@ -742,5 +712,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->zoom_ibegin_loc.setValue(zoom_ibegin_loc);
-    domain_hdl->sendAttributToServer(domain_hdl->zoom_ibegin_loc);
      CTimer::get("XIOS").suspend();
   }
@@ -764,5 +733,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->zoom_jbegin.setValue(zoom_jbegin);
-    domain_hdl->sendAttributToServer(domain_hdl->zoom_jbegin);
      CTimer::get("XIOS").suspend();
   }
@@ -786,5 +754,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->zoom_jbegin_loc.setValue(zoom_jbegin_loc);
-    domain_hdl->sendAttributToServer(domain_hdl->zoom_jbegin_loc);
      CTimer::get("XIOS").suspend();
   }
@@ -808,5 +775,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->zoom_ni.setValue(zoom_ni);
-    domain_hdl->sendAttributToServer(domain_hdl->zoom_ni);
      CTimer::get("XIOS").suspend();
   }
@@ -830,5 +796,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->zoom_ni_loc.setValue(zoom_ni_loc);
-    domain_hdl->sendAttributToServer(domain_hdl->zoom_ni_loc);
      CTimer::get("XIOS").suspend();
   }
@@ -852,5 +817,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->zoom_nj.setValue(zoom_nj);
-    domain_hdl->sendAttributToServer(domain_hdl->zoom_nj);
      CTimer::get("XIOS").suspend();
   }
@@ -874,5 +838,4 @@
      CTimer::get("XIOS").resume();
     domain_hdl->zoom_nj_loc.setValue(zoom_nj_loc);
-    domain_hdl->sendAttributToServer(domain_hdl->zoom_nj_loc);
      CTimer::get("XIOS").suspend();
   }
Index: XIOS/trunk/src/interface/c_attr/icdomaingroup_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icdomaingroup_attr.cpp	(revision 501)
+++ XIOS/trunk/src/interface/c_attr/icdomaingroup_attr.cpp	(revision 509)
@@ -22,5 +22,4 @@
     CArray<double,2> tmp(bounds_lat,shape(extent1,extent2),neverDeleteData) ;
     domaingroup_hdl->bounds_lat.reference(tmp.copy());
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->bounds_lat);
      CTimer::get("XIOS").suspend();
   }
@@ -48,5 +47,4 @@
     CArray<double,2> tmp(bounds_lon,shape(extent1,extent2),neverDeleteData) ;
     domaingroup_hdl->bounds_lon.reference(tmp.copy());
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->bounds_lon);
      CTimer::get("XIOS").suspend();
   }
@@ -73,5 +71,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->data_dim.setValue(data_dim);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->data_dim);
      CTimer::get("XIOS").suspend();
   }
@@ -96,5 +93,4 @@
     CArray<int,1> tmp(data_i_index,shape(extent1),neverDeleteData) ;
     domaingroup_hdl->data_i_index.reference(tmp.copy());
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->data_i_index);
      CTimer::get("XIOS").suspend();
   }
@@ -121,5 +117,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->data_ibegin.setValue(data_ibegin);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->data_ibegin);
      CTimer::get("XIOS").suspend();
   }
@@ -144,5 +139,4 @@
     CArray<int,1> tmp(data_j_index,shape(extent1),neverDeleteData) ;
     domaingroup_hdl->data_j_index.reference(tmp.copy());
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->data_j_index);
      CTimer::get("XIOS").suspend();
   }
@@ -169,5 +163,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->data_jbegin.setValue(data_jbegin);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->data_jbegin);
      CTimer::get("XIOS").suspend();
   }
@@ -191,5 +184,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->data_n_index.setValue(data_n_index);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->data_n_index);
      CTimer::get("XIOS").suspend();
   }
@@ -213,5 +205,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->data_ni.setValue(data_ni);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->data_ni);
      CTimer::get("XIOS").suspend();
   }
@@ -235,5 +226,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->data_nj.setValue(data_nj);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->data_nj);
      CTimer::get("XIOS").suspend();
   }
@@ -259,5 +249,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->domain_group_ref.setValue(domain_group_ref_str);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->domain_group_ref);
      CTimer::get("XIOS").suspend();
   }
@@ -286,5 +275,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->group_ref.setValue(group_ref_str);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->group_ref);
      CTimer::get("XIOS").suspend();
   }
@@ -312,5 +300,4 @@
     CArray<int,2> tmp(i_index,shape(extent1,extent2),neverDeleteData) ;
     domaingroup_hdl->i_index.reference(tmp.copy());
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->i_index);
      CTimer::get("XIOS").suspend();
   }
@@ -337,5 +324,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->ibegin.setValue(ibegin);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->ibegin);
      CTimer::get("XIOS").suspend();
   }
@@ -359,5 +345,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->iend.setValue(iend);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->iend);
      CTimer::get("XIOS").suspend();
   }
@@ -382,5 +367,4 @@
     CArray<int,2> tmp(j_index,shape(extent1,extent2),neverDeleteData) ;
     domaingroup_hdl->j_index.reference(tmp.copy());
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->j_index);
      CTimer::get("XIOS").suspend();
   }
@@ -407,5 +391,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->jbegin.setValue(jbegin);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->jbegin);
      CTimer::get("XIOS").suspend();
   }
@@ -429,5 +412,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->jend.setValue(jend);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->jend);
      CTimer::get("XIOS").suspend();
   }
@@ -452,5 +434,4 @@
     CArray<double,1> tmp(latvalue,shape(extent1),neverDeleteData) ;
     domaingroup_hdl->latvalue.reference(tmp.copy());
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->latvalue);
      CTimer::get("XIOS").suspend();
   }
@@ -479,5 +460,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->long_name.setValue(long_name_str);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->long_name);
      CTimer::get("XIOS").suspend();
   }
@@ -505,5 +485,4 @@
     CArray<double,1> tmp(lonvalue,shape(extent1),neverDeleteData) ;
     domaingroup_hdl->lonvalue.reference(tmp.copy());
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->lonvalue);
      CTimer::get("XIOS").suspend();
   }
@@ -531,5 +510,4 @@
     CArray<bool,2> tmp(mask,shape(extent1,extent2),neverDeleteData) ;
     domaingroup_hdl->mask.reference(tmp.copy());
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->mask);
      CTimer::get("XIOS").suspend();
   }
@@ -558,5 +536,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->name.setValue(name_str);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->name);
      CTimer::get("XIOS").suspend();
   }
@@ -583,5 +560,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->ni.setValue(ni);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->ni);
      CTimer::get("XIOS").suspend();
   }
@@ -605,5 +581,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->ni_glo.setValue(ni_glo);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->ni_glo);
      CTimer::get("XIOS").suspend();
   }
@@ -627,5 +602,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->nj.setValue(nj);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->nj);
      CTimer::get("XIOS").suspend();
   }
@@ -649,5 +623,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->nj_glo.setValue(nj_glo);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->nj_glo);
      CTimer::get("XIOS").suspend();
   }
@@ -671,5 +644,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->nvertex.setValue(nvertex);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->nvertex);
      CTimer::get("XIOS").suspend();
   }
@@ -695,5 +667,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->standard_name.setValue(standard_name_str);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->standard_name);
      CTimer::get("XIOS").suspend();
   }
@@ -722,5 +693,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->type.fromString(type_str);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->type);
      CTimer::get("XIOS").suspend();
   }
@@ -747,5 +717,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->zoom_ibegin.setValue(zoom_ibegin);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->zoom_ibegin);
      CTimer::get("XIOS").suspend();
   }
@@ -769,5 +738,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->zoom_ibegin_loc.setValue(zoom_ibegin_loc);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->zoom_ibegin_loc);
      CTimer::get("XIOS").suspend();
   }
@@ -791,5 +759,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->zoom_jbegin.setValue(zoom_jbegin);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->zoom_jbegin);
      CTimer::get("XIOS").suspend();
   }
@@ -813,5 +780,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->zoom_jbegin_loc.setValue(zoom_jbegin_loc);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->zoom_jbegin_loc);
      CTimer::get("XIOS").suspend();
   }
@@ -835,5 +801,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->zoom_ni.setValue(zoom_ni);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->zoom_ni);
      CTimer::get("XIOS").suspend();
   }
@@ -857,5 +822,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->zoom_ni_loc.setValue(zoom_ni_loc);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->zoom_ni_loc);
      CTimer::get("XIOS").suspend();
   }
@@ -879,5 +843,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->zoom_nj.setValue(zoom_nj);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->zoom_nj);
      CTimer::get("XIOS").suspend();
   }
@@ -901,5 +864,4 @@
      CTimer::get("XIOS").resume();
     domaingroup_hdl->zoom_nj_loc.setValue(zoom_nj_loc);
-    domaingroup_hdl->sendAttributToServer(domaingroup_hdl->zoom_nj_loc);
      CTimer::get("XIOS").suspend();
   }
Index: XIOS/trunk/src/interface/c_attr/icfield_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icfield_attr.cpp	(revision 501)
+++ XIOS/trunk/src/interface/c_attr/icfield_attr.cpp	(revision 509)
@@ -21,5 +21,4 @@
      CTimer::get("XIOS").resume();
     field_hdl->add_offset.setValue(add_offset);
-    field_hdl->sendAttributToServer(field_hdl->add_offset);
      CTimer::get("XIOS").suspend();
   }
@@ -45,5 +44,4 @@
      CTimer::get("XIOS").resume();
     field_hdl->axis_ref.setValue(axis_ref_str);
-    field_hdl->sendAttributToServer(field_hdl->axis_ref);
      CTimer::get("XIOS").suspend();
   }
@@ -70,5 +68,4 @@
      CTimer::get("XIOS").resume();
     field_hdl->default_value.setValue(default_value);
-    field_hdl->sendAttributToServer(field_hdl->default_value);
      CTimer::get("XIOS").suspend();
   }
@@ -92,5 +89,4 @@
      CTimer::get("XIOS").resume();
     field_hdl->detect_missing_value.setValue(detect_missing_value);
-    field_hdl->sendAttributToServer(field_hdl->detect_missing_value);
      CTimer::get("XIOS").suspend();
   }
@@ -116,5 +112,4 @@
      CTimer::get("XIOS").resume();
     field_hdl->domain_ref.setValue(domain_ref_str);
-    field_hdl->sendAttributToServer(field_hdl->domain_ref);
      CTimer::get("XIOS").suspend();
   }
@@ -141,5 +136,4 @@
      CTimer::get("XIOS").resume();
     field_hdl->enabled.setValue(enabled);
-    field_hdl->sendAttributToServer(field_hdl->enabled);
      CTimer::get("XIOS").suspend();
   }
@@ -165,5 +159,4 @@
      CTimer::get("XIOS").resume();
     field_hdl->field_ref.setValue(field_ref_str);
-    field_hdl->sendAttributToServer(field_hdl->field_ref);
      CTimer::get("XIOS").suspend();
   }
@@ -192,5 +185,4 @@
      CTimer::get("XIOS").resume();
     field_hdl->freq_offset.setValue(freq_offset_str);
-    field_hdl->sendAttributToServer(field_hdl->freq_offset);
      CTimer::get("XIOS").suspend();
   }
@@ -219,5 +211,4 @@
      CTimer::get("XIOS").resume();
     field_hdl->freq_op.setValue(freq_op_str);
-    field_hdl->sendAttributToServer(field_hdl->freq_op);
      CTimer::get("XIOS").suspend();
   }
@@ -246,5 +237,4 @@
      CTimer::get("XIOS").resume();
     field_hdl->grid_ref.setValue(grid_ref_str);
-    field_hdl->sendAttributToServer(field_hdl->grid_ref);
      CTimer::get("XIOS").suspend();
   }
@@ -271,5 +261,4 @@
      CTimer::get("XIOS").resume();
     field_hdl->level.setValue(level);
-    field_hdl->sendAttributToServer(field_hdl->level);
      CTimer::get("XIOS").suspend();
   }
@@ -295,5 +284,4 @@
      CTimer::get("XIOS").resume();
     field_hdl->long_name.setValue(long_name_str);
-    field_hdl->sendAttributToServer(field_hdl->long_name);
      CTimer::get("XIOS").suspend();
   }
@@ -322,5 +310,4 @@
      CTimer::get("XIOS").resume();
     field_hdl->name.setValue(name_str);
-    field_hdl->sendAttributToServer(field_hdl->name);
      CTimer::get("XIOS").suspend();
   }
@@ -349,5 +336,4 @@
      CTimer::get("XIOS").resume();
     field_hdl->operation.setValue(operation_str);
-    field_hdl->sendAttributToServer(field_hdl->operation);
      CTimer::get("XIOS").suspend();
   }
@@ -374,5 +360,4 @@
      CTimer::get("XIOS").resume();
     field_hdl->prec.setValue(prec);
-    field_hdl->sendAttributToServer(field_hdl->prec);
      CTimer::get("XIOS").suspend();
   }
@@ -396,5 +381,4 @@
      CTimer::get("XIOS").resume();
     field_hdl->scale_factor.setValue(scale_factor);
-    field_hdl->sendAttributToServer(field_hdl->scale_factor);
      CTimer::get("XIOS").suspend();
   }
@@ -420,5 +404,4 @@
      CTimer::get("XIOS").resume();
     field_hdl->standard_name.setValue(standard_name_str);
-    field_hdl->sendAttributToServer(field_hdl->standard_name);
      CTimer::get("XIOS").suspend();
   }
@@ -447,5 +430,4 @@
      CTimer::get("XIOS").resume();
     field_hdl->unit.setValue(unit_str);
-    field_hdl->sendAttributToServer(field_hdl->unit);
      CTimer::get("XIOS").suspend();
   }
@@ -472,5 +454,4 @@
      CTimer::get("XIOS").resume();
     field_hdl->valid_max.setValue(valid_max);
-    field_hdl->sendAttributToServer(field_hdl->valid_max);
      CTimer::get("XIOS").suspend();
   }
@@ -494,5 +475,4 @@
      CTimer::get("XIOS").resume();
     field_hdl->valid_min.setValue(valid_min);
-    field_hdl->sendAttributToServer(field_hdl->valid_min);
      CTimer::get("XIOS").suspend();
   }
Index: XIOS/trunk/src/interface/c_attr/icfieldgroup_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icfieldgroup_attr.cpp	(revision 501)
+++ XIOS/trunk/src/interface/c_attr/icfieldgroup_attr.cpp	(revision 509)
@@ -21,5 +21,4 @@
      CTimer::get("XIOS").resume();
     fieldgroup_hdl->add_offset.setValue(add_offset);
-    fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->add_offset);
      CTimer::get("XIOS").suspend();
   }
@@ -45,5 +44,4 @@
      CTimer::get("XIOS").resume();
     fieldgroup_hdl->axis_ref.setValue(axis_ref_str);
-    fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->axis_ref);
      CTimer::get("XIOS").suspend();
   }
@@ -70,5 +68,4 @@
      CTimer::get("XIOS").resume();
     fieldgroup_hdl->default_value.setValue(default_value);
-    fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->default_value);
      CTimer::get("XIOS").suspend();
   }
@@ -92,5 +89,4 @@
      CTimer::get("XIOS").resume();
     fieldgroup_hdl->detect_missing_value.setValue(detect_missing_value);
-    fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->detect_missing_value);
      CTimer::get("XIOS").suspend();
   }
@@ -116,5 +112,4 @@
      CTimer::get("XIOS").resume();
     fieldgroup_hdl->domain_ref.setValue(domain_ref_str);
-    fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->domain_ref);
      CTimer::get("XIOS").suspend();
   }
@@ -141,5 +136,4 @@
      CTimer::get("XIOS").resume();
     fieldgroup_hdl->enabled.setValue(enabled);
-    fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->enabled);
      CTimer::get("XIOS").suspend();
   }
@@ -165,5 +159,4 @@
      CTimer::get("XIOS").resume();
     fieldgroup_hdl->field_ref.setValue(field_ref_str);
-    fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->field_ref);
      CTimer::get("XIOS").suspend();
   }
@@ -192,5 +185,4 @@
      CTimer::get("XIOS").resume();
     fieldgroup_hdl->freq_offset.setValue(freq_offset_str);
-    fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->freq_offset);
      CTimer::get("XIOS").suspend();
   }
@@ -219,5 +211,4 @@
      CTimer::get("XIOS").resume();
     fieldgroup_hdl->freq_op.setValue(freq_op_str);
-    fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->freq_op);
      CTimer::get("XIOS").suspend();
   }
@@ -246,5 +237,4 @@
      CTimer::get("XIOS").resume();
     fieldgroup_hdl->grid_ref.setValue(grid_ref_str);
-    fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->grid_ref);
      CTimer::get("XIOS").suspend();
   }
@@ -273,5 +263,4 @@
      CTimer::get("XIOS").resume();
     fieldgroup_hdl->group_ref.setValue(group_ref_str);
-    fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->group_ref);
      CTimer::get("XIOS").suspend();
   }
@@ -298,5 +287,4 @@
      CTimer::get("XIOS").resume();
     fieldgroup_hdl->level.setValue(level);
-    fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->level);
      CTimer::get("XIOS").suspend();
   }
@@ -322,5 +310,4 @@
      CTimer::get("XIOS").resume();
     fieldgroup_hdl->long_name.setValue(long_name_str);
-    fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->long_name);
      CTimer::get("XIOS").suspend();
   }
@@ -349,5 +336,4 @@
      CTimer::get("XIOS").resume();
     fieldgroup_hdl->name.setValue(name_str);
-    fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->name);
      CTimer::get("XIOS").suspend();
   }
@@ -376,5 +362,4 @@
      CTimer::get("XIOS").resume();
     fieldgroup_hdl->operation.setValue(operation_str);
-    fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->operation);
      CTimer::get("XIOS").suspend();
   }
@@ -401,5 +386,4 @@
      CTimer::get("XIOS").resume();
     fieldgroup_hdl->prec.setValue(prec);
-    fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->prec);
      CTimer::get("XIOS").suspend();
   }
@@ -423,5 +407,4 @@
      CTimer::get("XIOS").resume();
     fieldgroup_hdl->scale_factor.setValue(scale_factor);
-    fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->scale_factor);
      CTimer::get("XIOS").suspend();
   }
@@ -447,5 +430,4 @@
      CTimer::get("XIOS").resume();
     fieldgroup_hdl->standard_name.setValue(standard_name_str);
-    fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->standard_name);
      CTimer::get("XIOS").suspend();
   }
@@ -474,5 +456,4 @@
      CTimer::get("XIOS").resume();
     fieldgroup_hdl->unit.setValue(unit_str);
-    fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->unit);
      CTimer::get("XIOS").suspend();
   }
@@ -499,5 +480,4 @@
      CTimer::get("XIOS").resume();
     fieldgroup_hdl->valid_max.setValue(valid_max);
-    fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->valid_max);
      CTimer::get("XIOS").suspend();
   }
@@ -521,5 +501,4 @@
      CTimer::get("XIOS").resume();
     fieldgroup_hdl->valid_min.setValue(valid_min);
-    fieldgroup_hdl->sendAttributToServer(fieldgroup_hdl->valid_min);
      CTimer::get("XIOS").suspend();
   }
Index: XIOS/trunk/src/interface/c_attr/icfile_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icfile_attr.cpp	(revision 501)
+++ XIOS/trunk/src/interface/c_attr/icfile_attr.cpp	(revision 509)
@@ -23,5 +23,4 @@
      CTimer::get("XIOS").resume();
     file_hdl->description.setValue(description_str);
-    file_hdl->sendAttributToServer(file_hdl->description);
      CTimer::get("XIOS").suspend();
   }
@@ -48,5 +47,4 @@
      CTimer::get("XIOS").resume();
     file_hdl->enabled.setValue(enabled);
-    file_hdl->sendAttributToServer(file_hdl->enabled);
      CTimer::get("XIOS").suspend();
   }
@@ -70,5 +68,4 @@
      CTimer::get("XIOS").resume();
     file_hdl->min_digits.setValue(min_digits);
-    file_hdl->sendAttributToServer(file_hdl->min_digits);
      CTimer::get("XIOS").suspend();
   }
@@ -94,5 +91,4 @@
      CTimer::get("XIOS").resume();
     file_hdl->name.setValue(name_str);
-    file_hdl->sendAttributToServer(file_hdl->name);
      CTimer::get("XIOS").suspend();
   }
@@ -121,5 +117,4 @@
      CTimer::get("XIOS").resume();
     file_hdl->name_suffix.setValue(name_suffix_str);
-    file_hdl->sendAttributToServer(file_hdl->name_suffix);
      CTimer::get("XIOS").suspend();
   }
@@ -148,5 +143,4 @@
      CTimer::get("XIOS").resume();
     file_hdl->output_freq.setValue(output_freq_str);
-    file_hdl->sendAttributToServer(file_hdl->output_freq);
      CTimer::get("XIOS").suspend();
   }
@@ -173,5 +167,4 @@
      CTimer::get("XIOS").resume();
     file_hdl->output_level.setValue(output_level);
-    file_hdl->sendAttributToServer(file_hdl->output_level);
      CTimer::get("XIOS").suspend();
   }
@@ -197,5 +190,4 @@
      CTimer::get("XIOS").resume();
     file_hdl->par_access.setValue(par_access_str);
-    file_hdl->sendAttributToServer(file_hdl->par_access);
      CTimer::get("XIOS").suspend();
   }
@@ -224,5 +216,4 @@
      CTimer::get("XIOS").resume();
     file_hdl->split_freq.setValue(split_freq_str);
-    file_hdl->sendAttributToServer(file_hdl->split_freq);
      CTimer::get("XIOS").suspend();
   }
@@ -251,5 +242,4 @@
      CTimer::get("XIOS").resume();
     file_hdl->split_freq_format.setValue(split_freq_format_str);
-    file_hdl->sendAttributToServer(file_hdl->split_freq_format);
      CTimer::get("XIOS").suspend();
   }
@@ -278,5 +268,4 @@
      CTimer::get("XIOS").resume();
     file_hdl->sync_freq.setValue(sync_freq_str);
-    file_hdl->sendAttributToServer(file_hdl->sync_freq);
      CTimer::get("XIOS").suspend();
   }
@@ -305,5 +294,4 @@
      CTimer::get("XIOS").resume();
     file_hdl->type.fromString(type_str);
-    file_hdl->sendAttributToServer(file_hdl->type);
      CTimer::get("XIOS").suspend();
   }
Index: XIOS/trunk/src/interface/c_attr/icfilegroup_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icfilegroup_attr.cpp	(revision 501)
+++ XIOS/trunk/src/interface/c_attr/icfilegroup_attr.cpp	(revision 509)
@@ -23,5 +23,4 @@
      CTimer::get("XIOS").resume();
     filegroup_hdl->description.setValue(description_str);
-    filegroup_hdl->sendAttributToServer(filegroup_hdl->description);
      CTimer::get("XIOS").suspend();
   }
@@ -48,5 +47,4 @@
      CTimer::get("XIOS").resume();
     filegroup_hdl->enabled.setValue(enabled);
-    filegroup_hdl->sendAttributToServer(filegroup_hdl->enabled);
      CTimer::get("XIOS").suspend();
   }
@@ -72,5 +70,4 @@
      CTimer::get("XIOS").resume();
     filegroup_hdl->group_ref.setValue(group_ref_str);
-    filegroup_hdl->sendAttributToServer(filegroup_hdl->group_ref);
      CTimer::get("XIOS").suspend();
   }
@@ -97,5 +94,4 @@
      CTimer::get("XIOS").resume();
     filegroup_hdl->min_digits.setValue(min_digits);
-    filegroup_hdl->sendAttributToServer(filegroup_hdl->min_digits);
      CTimer::get("XIOS").suspend();
   }
@@ -121,5 +117,4 @@
      CTimer::get("XIOS").resume();
     filegroup_hdl->name.setValue(name_str);
-    filegroup_hdl->sendAttributToServer(filegroup_hdl->name);
      CTimer::get("XIOS").suspend();
   }
@@ -148,5 +143,4 @@
      CTimer::get("XIOS").resume();
     filegroup_hdl->name_suffix.setValue(name_suffix_str);
-    filegroup_hdl->sendAttributToServer(filegroup_hdl->name_suffix);
      CTimer::get("XIOS").suspend();
   }
@@ -175,5 +169,4 @@
      CTimer::get("XIOS").resume();
     filegroup_hdl->output_freq.setValue(output_freq_str);
-    filegroup_hdl->sendAttributToServer(filegroup_hdl->output_freq);
      CTimer::get("XIOS").suspend();
   }
@@ -200,5 +193,4 @@
      CTimer::get("XIOS").resume();
     filegroup_hdl->output_level.setValue(output_level);
-    filegroup_hdl->sendAttributToServer(filegroup_hdl->output_level);
      CTimer::get("XIOS").suspend();
   }
@@ -224,5 +216,4 @@
      CTimer::get("XIOS").resume();
     filegroup_hdl->par_access.setValue(par_access_str);
-    filegroup_hdl->sendAttributToServer(filegroup_hdl->par_access);
      CTimer::get("XIOS").suspend();
   }
@@ -251,5 +242,4 @@
      CTimer::get("XIOS").resume();
     filegroup_hdl->split_freq.setValue(split_freq_str);
-    filegroup_hdl->sendAttributToServer(filegroup_hdl->split_freq);
      CTimer::get("XIOS").suspend();
   }
@@ -278,5 +268,4 @@
      CTimer::get("XIOS").resume();
     filegroup_hdl->split_freq_format.setValue(split_freq_format_str);
-    filegroup_hdl->sendAttributToServer(filegroup_hdl->split_freq_format);
      CTimer::get("XIOS").suspend();
   }
@@ -305,5 +294,4 @@
      CTimer::get("XIOS").resume();
     filegroup_hdl->sync_freq.setValue(sync_freq_str);
-    filegroup_hdl->sendAttributToServer(filegroup_hdl->sync_freq);
      CTimer::get("XIOS").suspend();
   }
@@ -332,5 +320,4 @@
      CTimer::get("XIOS").resume();
     filegroup_hdl->type.fromString(type_str);
-    filegroup_hdl->sendAttributToServer(filegroup_hdl->type);
      CTimer::get("XIOS").suspend();
   }
Index: XIOS/trunk/src/interface/c_attr/icgrid_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icgrid_attr.cpp	(revision 501)
+++ XIOS/trunk/src/interface/c_attr/icgrid_attr.cpp	(revision 509)
@@ -23,5 +23,4 @@
      CTimer::get("XIOS").resume();
     grid_hdl->axis_ref.setValue(axis_ref_str);
-    grid_hdl->sendAttributToServer(grid_hdl->axis_ref);
      CTimer::get("XIOS").suspend();
   }
@@ -50,5 +49,4 @@
      CTimer::get("XIOS").resume();
     grid_hdl->description.setValue(description_str);
-    grid_hdl->sendAttributToServer(grid_hdl->description);
      CTimer::get("XIOS").suspend();
   }
@@ -77,5 +75,4 @@
      CTimer::get("XIOS").resume();
     grid_hdl->domain_ref.setValue(domain_ref_str);
-    grid_hdl->sendAttributToServer(grid_hdl->domain_ref);
      CTimer::get("XIOS").suspend();
   }
@@ -103,5 +100,4 @@
     CArray<bool,3> tmp(mask,shape(extent1,extent2,extent3),neverDeleteData) ;
     grid_hdl->mask.reference(tmp.copy());
-    grid_hdl->sendAttributToServer(grid_hdl->mask);
      CTimer::get("XIOS").suspend();
   }
@@ -130,5 +126,4 @@
      CTimer::get("XIOS").resume();
     grid_hdl->name.setValue(name_str);
-    grid_hdl->sendAttributToServer(grid_hdl->name);
      CTimer::get("XIOS").suspend();
   }
Index: XIOS/trunk/src/interface/c_attr/icgridgroup_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icgridgroup_attr.cpp	(revision 501)
+++ XIOS/trunk/src/interface/c_attr/icgridgroup_attr.cpp	(revision 509)
@@ -23,5 +23,4 @@
      CTimer::get("XIOS").resume();
     gridgroup_hdl->axis_ref.setValue(axis_ref_str);
-    gridgroup_hdl->sendAttributToServer(gridgroup_hdl->axis_ref);
      CTimer::get("XIOS").suspend();
   }
@@ -50,5 +49,4 @@
      CTimer::get("XIOS").resume();
     gridgroup_hdl->description.setValue(description_str);
-    gridgroup_hdl->sendAttributToServer(gridgroup_hdl->description);
      CTimer::get("XIOS").suspend();
   }
@@ -77,5 +75,4 @@
      CTimer::get("XIOS").resume();
     gridgroup_hdl->domain_ref.setValue(domain_ref_str);
-    gridgroup_hdl->sendAttributToServer(gridgroup_hdl->domain_ref);
      CTimer::get("XIOS").suspend();
   }
@@ -104,5 +101,4 @@
      CTimer::get("XIOS").resume();
     gridgroup_hdl->group_ref.setValue(group_ref_str);
-    gridgroup_hdl->sendAttributToServer(gridgroup_hdl->group_ref);
      CTimer::get("XIOS").suspend();
   }
@@ -130,5 +126,4 @@
     CArray<bool,3> tmp(mask,shape(extent1,extent2,extent3),neverDeleteData) ;
     gridgroup_hdl->mask.reference(tmp.copy());
-    gridgroup_hdl->sendAttributToServer(gridgroup_hdl->mask);
      CTimer::get("XIOS").suspend();
   }
@@ -157,5 +152,4 @@
      CTimer::get("XIOS").resume();
     gridgroup_hdl->name.setValue(name_str);
-    gridgroup_hdl->sendAttributToServer(gridgroup_hdl->name);
      CTimer::get("XIOS").suspend();
   }
Index: XIOS/trunk/src/interface/c_attr/icvariable_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icvariable_attr.cpp	(revision 501)
+++ XIOS/trunk/src/interface/c_attr/icvariable_attr.cpp	(revision 509)
@@ -23,5 +23,4 @@
      CTimer::get("XIOS").resume();
     variable_hdl->name.setValue(name_str);
-    variable_hdl->sendAttributToServer(variable_hdl->name);
      CTimer::get("XIOS").suspend();
   }
@@ -50,5 +49,4 @@
      CTimer::get("XIOS").resume();
     variable_hdl->type.setValue(type_str);
-    variable_hdl->sendAttributToServer(variable_hdl->type);
      CTimer::get("XIOS").suspend();
   }
Index: XIOS/trunk/src/interface/c_attr/icvariablegroup_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icvariablegroup_attr.cpp	(revision 501)
+++ XIOS/trunk/src/interface/c_attr/icvariablegroup_attr.cpp	(revision 509)
@@ -23,5 +23,4 @@
      CTimer::get("XIOS").resume();
     variablegroup_hdl->group_ref.setValue(group_ref_str);
-    variablegroup_hdl->sendAttributToServer(variablegroup_hdl->group_ref);
      CTimer::get("XIOS").suspend();
   }
@@ -50,5 +49,4 @@
      CTimer::get("XIOS").resume();
     variablegroup_hdl->name.setValue(name_str);
-    variablegroup_hdl->sendAttributToServer(variablegroup_hdl->name);
      CTimer::get("XIOS").suspend();
   }
@@ -77,5 +75,4 @@
      CTimer::get("XIOS").resume();
     variablegroup_hdl->type.setValue(type_str);
-    variablegroup_hdl->sendAttributToServer(variablegroup_hdl->type);
      CTimer::get("XIOS").suspend();
   }
